nvidia-173 does not support video driver ABI in precise

Bug #922268 reported by cmyrland on 2012-01-26
30
This bug affects 6 people
Affects Status Importance Assigned to Milestone
nvidia-graphics-drivers-173 (Ubuntu)
Undecided
Unassigned

Bug Description

Upon boot the Ubuntu bootscreen appears, but then disappears again leaving me hanging somewhere around "* Starting CPU interrupts balancing daemon [OK]".. Sometimes sooner, sometimes later. But I've yet to see my login screen or any X activity at all. I've tried with both nouveau and nvidia-current, no change in behaviour.

Jumping around to other tty sessions is not a problem and the system is working. Just not X..

If you need any more info, please just holler!

[ 10.163] (EE) NVIDIA(0): This video driver ABI is not supported.
[ 10.163] (EE) NVIDIA(0): Use the -ignoreABI option to override this check.
[ 10.462]
Fatal server error:
[ 10.462] AddScreen/ScreenInit failed for driver 0
[ 10.462]
[ 10.462]
Please consult the The X.Org Foundation support
  at http://wiki.x.org
 for help.
[ 10.462] Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[ 10.462]
[ 10.467] ddxSigGiveUp: Closing log
[ 10.467] Server terminated with error (1). Closing log file.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: xorg 1:7.6+10ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-10.18-generic-pae 3.2.1
Uname: Linux 3.2.0-10-generic-pae i686
NonfreeKernelModules: nvidia
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86 Kernel Module 173.14.30 Thu Apr 14 08:47:14 PDT 2011
 GCC version: gcc version 4.6.2 (Ubuntu/Linaro 4.6.2-12ubuntu1)
ApportVersion: 1.91-0ubuntu1
Architecture: i386
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
Date: Thu Jan 26 20:15:19 2012
DistUpgraded: Fresh install
DistroCodename: precise
DistroVariant: ubuntu
DkmsStatus: nvidia-173, 173.14.30, 3.2.0-10-generic-pae, i686: installed
ExtraDebuggingInterest: Yes, if not too technical
GpuHangFrequency: Continuously
GpuHangReproducibility: Yes, I can easily reproduce it
GpuHangStarted: Immediately after installing this version of Ubuntu
GraphicsCard:
 nVidia Corporation G84 [GeForce 8600 GT] [10de:0402] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: Micro-Star International Co., Ltd. NX8600GT-T2D256EZ [1462:0910]
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha i386 (20120124)
JockeyStatus:
 xorg:nvidia_current - NVIDIA aksellerert grafikkdriver (Merkebeskyttet, Deaktivert, Ikke i bruk)
 xorg:nvidia_current_updates - NVIDIA accelerated graphics driver (post-release updates) (Merkebeskyttet, Deaktivert, Ikke i bruk)
MachineType: MSI MS-7610
ProcEnviron:
 LANGUAGE=nb_NO:nb:no_NO:no:nn_NO:nn:en
 LANG=nb_NO.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-10-generic-pae root=UUID=15e4d652-5bfe-4200-9106-3ed64a904ebf ro quiet splash vt.handoff=7
SourcePackage: xorg
Symptom: display
Title: Xorg freeze
UpgradeStatus: No upgrade log present (probably fresh install)
XorgConf:
 Section "Device"
  Identifier "Default Device"
  Option "NoLogo" "True"
 EndSection
dmi.bios.date: 08/26/2009
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: V1.2
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: P41T-C31 (MS-7610)
dmi.board.vendor: MSI
dmi.board.version: 1.0
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: MSI
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrV1.2:bd08/26/2009:svnMSI:pnMS-7610:pvr1.0:rvnMSI:rnP41T-C31(MS-7610):rvr1.0:cvnMSI:ct3:cvr1.0:
dmi.product.name: MS-7610
dmi.product.version: 1.0
dmi.sys.vendor: MSI
version.compiz: compiz 1:0.9.6+bzr20110929-0ubuntu8
version.libdrm2: libdrm2 2.4.30-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 7.11-0ubuntu4
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.11-0ubuntu4
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.11.3-0ubuntu8
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.6.99.901-1ubuntu3
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu3
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2

cmyrland (carl-rahien) wrote :
Bryce Harrington (bryce) wrote :

Try switching to nvidia-current.

nvidia-173 is a legacy driver and hasn't been updated yet to the new ABI

description: updated
summary: - Xorg freeze
+ nvidia-current does not support video driver ABI in precise
affects: xorg (Ubuntu) → nvidia-graphics-drivers (Ubuntu)
summary: - nvidia-current does not support video driver ABI in precise
+ nvidia-173 does not support video driver ABI in precise
affects: nvidia-graphics-drivers (Ubuntu) → nvidia-graphics-drivers-173 (Ubuntu)
Changed in nvidia-graphics-drivers-173 (Ubuntu):
status: New → Incomplete
cmyrland (carl-rahien) wrote :

Tried upgrading to nvidia-current, but it still hangs in the same place. Same ABI error.

Bryce Harrington (bryce) wrote :

Can you try completely uninstalling nvidia-* and then re-installing nvidia-current from scratch?

Changed in nvidia-graphics-drivers-173 (Ubuntu):
status: Incomplete → New
status: New → Incomplete
cmyrland (carl-rahien) wrote :

I've already done it and it's now running fine on nouveau, but I'm AFK until Monday so I can't test current until then.

Bryce Harrington (bryce) on 2012-02-27
Changed in nvidia-graphics-drivers-173 (Ubuntu):
status: Incomplete → New
status: New → Incomplete
ssuuddoo (ssuuddoo) wrote :

but the graphic card I am using (FX 5500) is supported by the legacy 173 driver and not the current one...
installing manually fails either way, since the nvidia-173 driver lacks the ABI support and it fails to start the x-server. and the nvidia-current wont work since when installing from the repository, it installs, but doesn't get enabled because of the graphic card not supported by it and the manual installation from the NVIDIA driver page fails because of the same reason.

...strange that "making new and better system actually makes the older components not 2 work"

seeya +

Nicolas VILA (nicolas-vila) wrote :

nvidia-173 drivers are not compatible with Xorg (ABI to be precise) version released in 12.04.
So I stick with 11.10 version of Xorg. I had to make the following changes to backport Xorg:

In /etc/apt/sources.list :

deb http://fr.archive.ubuntu.com/ubuntu/ oneiric main
deb-src http://fr.archive.ubuntu.com/ubuntu/ oneiric main

In /etc/apt/preferences:

Package: xserver-xorg*
Pin: release a=oneiric
Pin-Priority: 1050

Note related to nvidia-173 on Ubuntu 12.04:
I'm using old hardware with nvidia-173 drivers and I don't like the fact "composite" is mandatory to use Unity correctly (very laggy) I had to force composite to switch it "off" to avoid laggy windows by modifying /etc/X11/xorg.conf:

Section "Extensions"
    Option "Composite" "Disable"
EndSection

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers